Skip to main content
GET
/
v1
/
info
/
instruments
Get Instruments
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/info/instruments
import requests

url = "https://api.perpetuals.polymarket.com/v1/info/instruments"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.perpetuals.polymarket.com/v1/info/instruments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "instrument_id": 123,
    "instrument_type": "perpetual",
    "symbol": "NVDA-USDC",
    "base_asset": "NVDA",
    "quote_asset": "USDC",
    "funding_interval": "1h",
    "quantity_decimals": 2,
    "price_decimals": 2,
    "price_bounds": "0.05",
    "liquidation_fee": "0.025",
    "max_order_count": 200,
    "min_notional": "1.00",
    "max_market_notional": "1000000.00",
    "max_limit_notional": "10000000.00",
    "max_leverage": 20,
    "risk_tiers": [
      {
        "lower_bound": "0",
        "max_leverage": 20
      }
    ]
  }
]
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
Request Weight: 2

Query Parameters

instrument_id
integer

Instrument ID

instrument_type
enum<string>

Instrument type

Available options:
perpetual
category
enum<string>

Instrument category

Available options:
equity,
commodity,
index,
crypto

Response

Instruments response.

instrument_id
integer
required

Instrument ID

instrument_type
enum<string>
required

Instrument type

Available options:
perpetual
category
enum<string>
required

Instrument category

Available options:
equity,
commodity,
index,
crypto
symbol
string
required

Instrument symbol

Example:

"NVDA-USDC"

base_asset
string
required

Base asset name

Example:

"NVDA"

quote_asset
string
required

Quote asset name

Example:

"USDC"

funding_interval
string
required

Funding interval

Example:

"1h"

quantity_decimals
integer
required

Number of decimal places for quantity.

Example:

2

price_decimals
integer
required

Number of decimal places for price. Non-integer prices have a maximum of 5 significant figures; integer prices are allowed regardless of significant figures.

Example:

2

price_bounds
string
required

Price bounds percentage

Example:

"0.05"

liquidation_fee
string
required

Liquidation fee rate

Example:

"0.025"

max_order_count
integer
required

Maximum open order count

Example:

200

min_notional
string
required

Minimum notional value in USD

Example:

"1.00"

max_market_notional
string
required

Maximum market order notional value in USD

Example:

"1000000.00"

max_limit_notional
string
required

Maximum limit order notional value in USD

Example:

"10000000.00"

max_leverage
integer
required

Maximum leverage

Example:

20

risk_tiers
object[]
required